Subject: Re: bug#15839: 24.3.50; `isearch-allow-scroll': be able to scroll point off screen temporarily

From: Juri Linkov <[email-masked]>
Date: Tue, 04 Dec 2018 23:38:29 +0200

> I've now tried what you ended up installing, and I see
> that that's not the case (and that you removed the advice
> that you might need to set `lazy-highlight-buffer' to t
> to see highlighting when scrolling).
>
> What you installed does indeed seem to implement this
> enhancement.  Thank you for that, and sorry for not
> understanding and reacting negatively.

Sorry for replying to a wrong comment when closing this request,
there are so many comments that I picked a wrong one.

I completely implemented all points from your original request,
and this new feature works so well, that I already customized
`isearch-allow-scroll' to `unlimited' and started using it
even without enabling `lazy-highlight-buffer'.

BTW, regarding another feature that you helped to develop,
I just realized that the variable name `isearch-yank-on-move' is not
the best one.  I propose a better name `isearch-move-to-yank'.